Subject: git-svn v1 layout migration even though there was no git-svn layout

From: Jörg Olschewski <[email-masked]>
Date: Tue, 19 Jun 2012 21:43:44 +0200

Sometimes I accidentally try to fetch changes by doing a "git-svn fetch" 
in a git repository that is not connected to any SVN repository.
Then git tells me that data from a previous version of git-svn exists, 
and migrates to a new git-svn layout.
I think this is unexpected and unintended behavior and thus I consider 
this to be a bug.

How to reproduce:

   $ git init tmp && cd tmp && git svn fetch
   Initialized empty Git repository in /home/jo/tmp/.git/
   Migrating from a git-svn v1 layout...
   Data from a previous version of git-svn exists, but
       .git/svn
       (required for this version (1.7.11) of git-svn) does not exist.
   Done migrating from a git-svn v1 layout
   [svn-remote "svn"] unknown

   $

I would expect some output like "this is not a git-svn layout", but 
maybe I miss a point here?

Best regards
Jörg